package com.dxhy.core.job.entity;

import com.dxhy.core.job.pojo.BasePojo;

/**
 * @author user
 */
public class StateInfo extends BasePojo {

    private static final long serialVersionUID = -5143641802293117517L;
    /**
     * 发票代码
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceCode;
    /**
     * 发票号码
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String invoiceNo;
    /**
     * 发票状态 0-正常 1-失控 2-作废 3-红冲  80-红字发票待确认  7-已部分冲红  8-已全额冲红
     */
    private String invoiceStatus;
    /**
     * 认证状态 0 -未认证  1-已认证；
     */
    private String legalizeState;
    /**
     * 认证时间
     * 
     * @author 陈刚扬
     * @date 2020/10/30
     * @param null
     * @return
     */
    private String legalizeDate;
    /**
     * 认证类型(1-抵扣 2-退税 3-代理退税 发票已认证、已勾选有该标签）
     */
    private String rzlx;
    /**
     * 税款归属期
     */
    private String legalizeBelongDate;
    /**
     * 认证方式 1-勾选认证 2-扫描认证
     */
    private String legalizeType;

    private String zztime;
    /**
     * 信息来源 0扫描认证  1系统推送 2出口转内销 3异常凭证转入
     */
    private String xxly;

    private String yxse;
    /**
     * 逾期可勾选标志 0默认值，1可勾选逾期
     */
    private String yqkgxbz;

    /**
     * 管理状态 0 正常  1 异常 2疑似非正常
     */
    private String glzt;
    /**
     * 抵扣税额 XXLY=3时不为空，勾选金额不能大于抵扣税额
     */
    private String dkse;
    private String bdkMessage;

    public String getDkse() {
        return dkse;
    }

    public void setDkse(String dkse) {
        this.dkse = dkse;
    }

    public String getBdkMessage() {
        return bdkMessage;
    }

    public void setBdkMessage(String bdkMessage) {
        this.bdkMessage = bdkMessage;
    }

    public String getLegalizeType() {
        return legalizeType;
    }

    public void setLegalizeType(String legalizeType) {
        this.legalizeType = legalizeType;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(String invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public String getLegalizeState() {
        return legalizeState;
    }

    public void setLegalizeState(String legalizeState) {
        this.legalizeState = legalizeState;
    }

    public String getLegalizeDate() {
        return legalizeDate;
    }

    public void setLegalizeDate(String legalizeDate) {
        this.legalizeDate = legalizeDate;
    }

    public String getLegalizeBelongDate() {
        return legalizeBelongDate;
    }

    public void setLegalizeBelongDate(String legalizeBelongDate) {
        this.legalizeBelongDate = legalizeBelongDate;
    }

    @Override
    public String toString() {
        return "StateInfo [invoiceCode=" + invoiceCode + ", invoiceNo=" + invoiceNo + ", invoiceStatus=" + invoiceStatus
            + ", legalizeState=" + legalizeState + ", legalizeDate=" + legalizeDate + ", legalizeBelongDate="
            + legalizeBelongDate + "]";
    }

    public String getRzlx() {
        return rzlx;
    }

    public void setRzlx(String rzlx) {
        this.rzlx = rzlx;
    }

    public String getZztime() {
        return zztime;
    }

    public void setZztime(String zztime) {
        this.zztime = zztime;
    }

    public String getXxly() {
        return xxly;
    }

    public void setXxly(String xxly) {
        this.xxly = xxly;
    }

    public String getYxse() {
        return yxse;
    }

    public void setYxse(String yxse) {
        this.yxse = yxse;
    }

    public String getYqkgxbz() {
        return yqkgxbz;
    }

    public void setYqkgxbz(String yqkgxbz) {
        this.yqkgxbz = yqkgxbz;
    }

    public String getGlzt() {
        return glzt;
    }

    public void setGlzt(String glzt) {
        this.glzt = glzt;
    }

}
